# Installation
> `npm install --save @types/array-find-index`

# Summary
This package contains type definitions for array-find-index (https://github.com/sindresorhus/array-find-index).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/array-find-index.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/array-find-index/index.d.ts)
````ts
declare function arrayFindIndex<T>(arr: T[], predicate: (element: T, index: number, array: T[]) => boolean): number;
declare function arrayFindIndex<T, U>(
    arr: T[],
    predicate: (this: U, element: T, index: number, array: T[]) => boolean,
    ctx: U,
): number;
export = arrayFindIndex;

````

### Additional Details
 * Last updated: Mon, 06 Nov 2023 22:41:04 GMT
 * Dependencies: none

# Credits
These definitions were written by [Sam Verschueren](https://github.com/samverschueren).
